petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSTrajectory

Abstract PETSc object that stores the trajectory (solution of ODE/DAE at each time step)

### Synopsis

    typedef struct _p_TSTrajectory* TSTrajectory;

### See Also

TSSetSaveTrajectory(), TSTrajectoryCreate(), TSTrajectorySetType(), TSTrajectoryDestroy(), TSTrajectoryReset()

### Level

advanced

### Location

src/ts/../../include/petscts.h

### Implementations

_p_TSTrajectory in include/petsc/private/tsimpl.h
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages